<?php
error_reporting(E_ALL);
ini_set('display_errors', 'true');

include "lib/list-item-links.php";
?>
<!DOCTYPE HTML>
<html lang="en">
<head>
<title>Browser Tag Support Jan 2016</title>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width,initial-scale=1" />
<style>
.unknown {
  color: #000;
  font-size: 1.2em;
  background-color: #ddd;
}
.deprecated {
  color: #f00;
  background-color: #badbee;
}
.poor {
  color: #f0f;
  background-color: #badbee;
}
.partial {
  color: #f60;
  background-color: #badbee;
  font-weight: bold;
  font-size: 1.2em;
}
.good {
  color: #005;
  background-color: #badbee;
  font-weight: bold;
  font-size: 1.3em;
}
.full {
  color: #050;
  background-color: #badbee;
  font-weight: bold;
  font-size: 1.3em;
}

nav {
  margin: 1em 0;
}
  nav a {
    margin: 0 1em;
  }
.color_key span {
  display: inline-block;
  margin: 0 1em 0.5em;
  padding: 0 1em;
}
.missing {
  font-size: 1.2em;
}
.support {
  font-weight: bold;
  text-decoration: underline;
}
</style>
<script>
// script needed before the DOM is loaded here
</script>
</head>
<body>
<h1>Browser Tag Support Jan 2016</h1>
<nav>
<ul>
<?php echo get_li_links(); ?>
  <li><a href="https://developer.mozilla.org/en-US/docs/Web/HTML/Element">https://developer.mozilla.org/en-US/docs/Web/HTML/Element</a></li>
  <li><a href="http://caniuse.com/#feat=html5semantic">http://caniuse.com/#feat=html5semantic</a></li>
</ul>
</nav>
<div class="color_key">
  <span class="unknown">unknown</span>
  <span class="deprecated">deprecated</span>
  <span class="poor">poor</span>
  <span class="partial">partial</span>
  <span class="good">good</span>
  <span class="full">full</span>
</div>
<div class="missing full">Missing: a blockquote body iframe img link meta textarea</div>
<div class="missing full">Missing: aside</div>
<div class="missing deprecated">Missing: bgsound font marquee multicol nextid nobr noframes</div>
<main>
<br /><span class="full">&lt;html></span> 	The HTML &lt;html> element (or HTML root element) represents the root of an HTML document. All other elements must be descendants of this element.
<br /><span class="full">&lt;base></span> 	The HTML &lt;base> element specifies the base URL to use for all relative URLs contained within a document. There can be only one &lt;base> element in a document.
<br /><span class="full">&lt;head></span> 	The HTML &lt;head> element provides general information (metadata) about the document, including its title and links to/definitions of scripts and style sheets.
<br /><span class="full">&lt;style></span> 	The HTML &lt;style> element contains style information for a document, or part of a document. By default, the style instructions written inside that element are expected to be CSS.
<br /><span class="full">&lt;title></span> 	The HTML &lt;title> element defines the title of the document, shown in a browser's title bar or on the page's tab. It can only contain text and any contained tags are not interpreted.
<br /><span class="full">&lt;address></span> 	The HTML &lt;address> element supplies contact information for its nearest &lt;article> or &lt;body> ancestor; in the latter case, it applies to the whole document.
<br /><span class="full">&lt;article></span> 	The HTML &lt;article> element represents a self-contained composition in a document, page, application, or site, which is intended to be independently distributable or reusable (e.g., in syndication). This could be a forum post, a magazine or newspaper article, a blog entry, an object, or any other independent item of content. Each &lt;article> should be identified, typically by including a heading (&lt;h1>-&lt;h6> element) as a child of the &lt;article> element.
<br /><span class="full">&lt;footer></span> 	The HTML &lt;footer> element represents a footer for its nearest sectioning content or sectioning root element. A footer typically contains information about the author of the section, copyright data or links to related documents.
<br /><span class="full">&lt;header></span> 	The HTML &lt;header> element represents a group of introductory or navigational aids. It may contain some heading elements but also other elements like a logo, wrapped section's header, a search form, and so on.
<br /><span class="full">&lt;h1></span>, <span class="full">&lt;h2></span>, <span class="full">&lt;h3></span>, <span class="full">&lt;h4></span>, <span class="full">&lt;h5></span>, <span class="full">&lt;h6></span> 	Heading elements implement six levels of document headings, &lt;h1> is the most important and &lt;h6> is the least. A heading element briefly describes the topic of the section it introduces. Heading information may be used by user agents, for example, to construct a table of contents for a document automatically.
<br /><span class="deprecated">&lt;hgroup></span> 	The HTML &lt;hgroup> Element (HTML Headings Group Element) represents the heading of a section. It defines a single title that participates in the outline of the document as the heading of the implicit or explicit section that it belongs to.
<br /><span class="full">&lt;nav></span> 	The HTML &lt;nav> element (HTML Navigation Element) represents a section of a page that links to other pages or to parts within the page: a section with navigation links.
<br /><span class="full">&lt;section></span> 	The HTML &lt;section> element represents a generic section of a document, i.e., a thematic grouping of content, typically with a heading. Each &lt;section> should be identified, typically by including a heading (&lt;h1>-&lt;h6> element) as a child of the &lt;section> element.
<br /><span class="full">&lt;dd></span> 	The HTML &lt;dd> element (HTML Description Element) indicates the description of a term in a description list (&lt;dl>) element. This element can occur only as a child element of a definition list and it must follow a &lt;dt> element.
<br /><span class="full">&lt;div></span> 	The HTML &lt;div> element (or HTML Document Division Element) is the generic container for flow content, which does not inherently represent anything. It can be used to group elements for styling purposes (using the class or id attributes), or because they share attribute values, such as lang. It should be used only when no other semantic element (such as &lt;article> or &lt;nav>) is appropriate.
<br /><span class="full">&lt;dl></span> 	The HTML &lt;dl> element (or HTML Description List Element) encloses a list of pairs of terms and descriptions. Common uses for this element are to implement a glossary or to display metadata (a list of key-value pairs).
<br /><span class="full">&lt;dt></span> 	The HTML &lt;dt> element (or HTML Definition Term Element) identifies a term in a definition list. This element can occur only as a child element of a &lt;dl>. It is usually followed by a &lt;dd> element; however, multiple &lt;dt> elements in a row indicate several terms that are all defined by the immediate next &lt;dd> element.
<br /><span class="full">&lt;figcaption></span> 	The HTML &lt;figcaption> element represents a caption or a legend associated with a figure or an illustration described by the rest of the data of the &lt;figure> element which is its immediate ancestor which means &lt;figcaption> can be the first or last element inside a &lt;figure> block. Also, the HTML Figcaption Element is optional; if not provided, then the parent figure element will have no caption.
<br /><span class="full">&lt;figure></span> 	The HTML &lt;figure> element represents self-contained content, frequently with a caption (&lt;figcaption>), and is typically referenced as a single unit. While it is related to the main flow, its position is independent of the main flow. Usually this is an image, an illustration, a diagram, a code snippet, or a schema that is referenced in the main text, but that can be moved to another page or to an appendix without affecting the main flow.
<br /><span class="full">&lt;hr></span> 	The HTML &lt;hr> element represents a thematic break between paragraph-level elements (for example, a change of scene in a story, or a shift of topic with a section). In previous versions of HTML, it represented a horizontal rule. It may still be displayed as a horizontal rule in visual browsers, but is now defined in semantic terms, rather than presentational terms.
<br /><span class="full">&lt;li></span> 	The HTML &lt;li> element (or HTML List Item Element) is used to represent an item in a list. It must be contained in a parent element: an ordered list (&lt;ol>), an unordered list (&lt;ul>), or a menu (&lt;menu>). In menus and unordered lists, list items are usually displayed using bullet points. In ordered lists, they are usually displayed with an ascending counter on the left, such as a number or letter.
<br /><span class="good">&lt;main></span> <span class="support">No IE support</span> 	The HTML &lt;main> element represents the main content of  the &lt;body> of a document or application. The main content area consists of content that is directly related to, or expands upon the central topic of a document or the central functionality of an application. This content should be unique to the document, excluding any content that is repeated across a set of documents such as sidebars, navigation links, copyright information, site logos, and search forms (unless the document's main function is as a search form).
<br /><span class="full">&lt;ol></span> 	The HTML &lt;ol> Element (or HTML Ordered List Element) represents an ordered list of items. Typically, ordered-list items are displayed with a preceding numbering, which can be of any form, like numerals, letters or Romans numerals or even simple bullets. This numbered style is not defined in the HTML description of the page, but in its associated CSS, using the list-style-type property.
<br /><span class="full">&lt;p></span> 	The HTML &lt;p> element (or HTML Paragraph Element) represents a paragraph of text.
<br /><span class="full">&lt;pre></span> 	The HTML &lt;pre> element (or HTML Preformatted Text) represents preformatted text. Text within this element is typically displayed in a non-proportional font exactly as it is laid out in the file. Whitespaces inside this element are displayed as typed.
<br /><span class="full">&lt;ul></span> 	The HTML &lt;ul> element (or HTML Unordered List Element) represents an unordered list of items, namely a collection of items that do not have a numerical ordering, and their order in the list is meaningless. Typically, unordered-list items are displayed with a bullet, which can be of several forms, like a dot, a circle or a squared. The bullet style is not defined in the HTML description of the page, but in its associated CSS, using the list-style-type property.
<br /><span class="full">&lt;abbr></span> 	The HTML &lt;abbr> element (or HTML Abbreviation Element) represents an abbreviation and optionally provides a full description for it. If present, the title attribute must contain this full description and nothing else.
<br /><span class="full">&lt;b></span> 	The HTML &lt;b> Element represents a span of text stylistically different from normal text, without conveying any special importance or relevance. It is typically used for keywords in a summary, product names in a review, or other spans of text whose typical presentation would be boldfaced. Another example of its use is to mark the lead sentence of each paragraph of an article.
<br /><span class="unknown">&lt;bdi></span> 	The HTML &lt;bdi> Element (or Bi-Directional Isolation Element) isolates a span of text that might be formatted in a different direction from other text outside it.
<br /><span class="full">&lt;bdo></span> 	The HTML &lt;bdo> Element (or HTML bidirectional override element) is used to override the current directionality of text. It causes the directionality of the characters to be ignored in favor of the specified directionality.
<br /><span class="full">&lt;br></span> 	The HTML element line break &lt;br> produces a line break in text (carriage-return). It is useful for writing a poem or an address, where the division of lines is significant.
<br /><span class="full">&lt;cite></span> 	The HTML Citation Element (&lt;cite>) represents a reference to a creative work. It must include the title of a work or a URL reference, which may be in an abbreviated form according to the conventions used for the addition of citation metadata.
<br /><span class="full">&lt;code></span> 	The HTML Code Element (&lt;code>) represents a fragment of computer code. By default, it is displayed in the browser's default monospace font.
<br /><span class="unknown">&lt;data></span> 	The HTML &lt;data> Element links a given content with a machine-readable translation. If the content is time- or date-related, the &lt;time> must be used.
<br /><span class="full">&lt;dfn></span> 	The HTML Definition Element (&lt;dfn>) represents the defining instance of a term.
<br /><span class="full">&lt;em></span> 	The HTML element emphasis  &lt;em> marks text that has stress emphasis. The &lt;em> element can be nested, with each level of nesting indicating a greater degree of emphasis.
<br /><span class="full">&lt;i></span> 	The HTML &lt;i> Element represents a range of text that is set off from the normal text for some reason, for example, technical terms, foreign language phrases, or fictional character thoughts. It is typically displayed in italic type.
<br /><span class="full">&lt;kbd></span> 	The HTML Keyboard Input Element (&lt;kbd>) represents user input and produces an inline element displayed in the browser's default monospace font.
<br /><span class="full">&lt;mark></span> 	The HTML Mark Element (&lt;mark>) represents highlighted text, i.e., a run of text marked for reference purpose, due to its relevance in a particular context. For example it can be used in a page showing search results to highlight every instance of the searched-for word.
<br /><span class="full">&lt;q></span> 	The HTML Quote Element (&lt;q>) indicates that the enclosed text is a short inline quotation. This element is intended for short quotations that don't require paragraph breaks; for long quotations use &lt;blockquote> element.
<br /><span class="unknown">&lt;rp></span> 	The HTML &lt;rp> element is used to provide fall-back parenthesis for browsers non-supporting ruby annotations. Ruby annotations are for showing pronounciation of East Asian characters, like using Japanese furigana or Taiwainese bopomofo characters. The &lt;rp> element is used in the case of lack of &lt;ruby> element support its content has what should be displayed in order to indicate the presence of a ruby annotation, usually parentheses.
<br /><span class="unknown">&lt;rt></span> 	The HTML &lt;rt> Element embraces pronunciation of characters presented in a ruby annotations, which are used to describe the pronunciation of East Asian characters. This element is always used inside a &lt;ruby> element.
<br /><span class="unknown">&lt;rtc></span> 	The HTML &lt;rtc> Element embraces semantic annotations of characters presented in a ruby of &lt;rb> elements used inside of &lt;ruby> element. &lt;rb> elements can have both pronunciation (&lt;rt>) and semantic (&lt;rtc>) annotations.
<br /><span class="unknown">&lt;ruby></span> 	The HTML &lt;ruby> Element represents a ruby annotation. Ruby annotations are for showing pronunciation of East Asian characters.
<br /><span class="full">&lt;s></span> 	The HTML Strikethrough Element (&lt;s>) renders text with a strikethrough, or a line through it. Use the &lt;s> element to represent things that are no longer relevant or no longer accurate. However, &lt;s> is not appropriate when indicating document edits; for that, use the &lt;del> and &lt;ins> elements, as appropriate.
<br /><span class="full">&lt;samp></span> 	The HTML &lt;samp> element is an element intended to identify sample output from a computer program. It is usually displayed in the browser's default monotype font (such as Lucida Console).
<br /><span class="full">&lt;small></span> 	The HTML Small Element (&lt;small>) makes the text font size one size smaller (for example, from large to medium, or from small to x-small) down to the browser's minimum font size.  In HTML5, this element is repurposed to represent side-comments and small print, including copyright and legal text, independent of its styled presentation.
<br /><span class="full">&lt;span></span> 	The HTML &lt;span> element is a generic inline container for phrasing content, which does not inherently represent anything. It can be used to group elements for styling purposes (using the class or id attributes), or because they share attribute values, such as lang. It should be used only when no other semantic element is appropriate. &lt;span> is very much like a &lt;div> element, but &lt;div> is a block-level element whereas a &lt;span> is an inline element.
<br /><span class="full">&lt;strong></span> 	The HTML Strong Element (&lt;strong>) gives text strong importance, and is typically displayed in bold.
<br /><span class="full">&lt;sub></span> 	The HTML Subscript Element (&lt;sub>) defines a span of text that should be displayed, for typographic reasons, lower, and often smaller, than the main span of text.
<br /><span class="full">&lt;sup></span> 	The HTML Superscript Element (&lt;sup>) defines a span of text that should be displayed, for typographic reasons, higher, and often smaller, than the main span of text.
<br /><span class="good">&lt;time></span> 	The HTML &lt;time> element represents either a time on a 24-hour clock or a precise date in the Gregorian calendar (with optional time and timezone information).
<br /><span class="full">&lt;u></span> 	The HTML Underline Element (&lt;u>) renders text with an underline, a line under the baseline of its content.
<br /><span class="full">&lt;var></span> 	The HTML Variable Element (&lt;var>) represents a variable in a mathematical expression or a programming context.
<br /><span class="partial">&lt;wbr></span> 	The HTML element word break opportunity &lt;wbr> represents a position within text where the browser may optionally break a line, though its line-breaking rules would not otherwise create a break at that location.
<br /><span class="full">&lt;area></span> 	The HTML &lt;area> element defines a hot-spot region on an image, and optionally associates it with a hypertext link. This element is used only within a &lt;map> element.
<br /><span class="good">&lt;audio></span> 	The HTML &lt;audio> element is used to embed sound content in documents. It may contain one or more audio sources, represented using the src attribute or the &lt;source> element; the browser will choose the most suitable one.
<br /><span class="full">&lt;map></span> 	The HTML &lt;map> element is used with &lt;area> elements to define an image map (a clickable link area).
<br /><span class="unknown">&lt;track></span> 	The HTML &lt;track> element is used as a child of the media elements—&lt;audio> and &lt;video>. It lets you specify timed text tracks (or time-based data), for example to automatically handle subtitles. The tracks are formatted in WebVTT format (.vtt files) — Web Video Text Tracks.
<br /><span class="full">&lt;video></span> 	Use the  HTML &lt;video> element to embed video content in a document. The video element contains one or more video sources. To specify a video source, use either the src attribute or the &lt;source> element; the browser will choose the most suitable one.
<br /><span class="unknown">&lt;embed></span> 	The HTML &lt;embed> Element represents an integration point for an external application or interactive content (in other words, a plug-in).
<br /><span class="full">&lt;object></span> 	The HTML Embedded Object Element (&lt;object>) represents an external resource, which can be treated as an image, a nested browsing context, or a resource to be handled by a plugin.
<br /><span class="full">&lt;param></span> 	The HTML &lt;param> Element (or HTML Parameter Element) defines parameters for &lt;object>.
<br /><span class="unknown">&lt;source></span> 	The HTML &lt;source> element is used to specify multiple media resources for &lt;picture>, &lt;audio> and &lt;video> elements. It is an empty element. It is commonly used to serve the same media in multiple formats supported by different browsers.
<br /><span class="partial">&lt;canvas></span> 	The HTML &lt;canvas> Element can be used to draw graphics via scripting (usually JavaScript). For example, it can be used to draw graphs, make photo compositions or even perform animations. You may (and should) provide alternate content inside the &lt;canvas> block. That content will be rendered both on older browsers that don't support canvas and in browsers with JavaScript disabled.
<br /><span class="full">&lt;noscript></span> 	The HTML &lt;noscript> Element defines a section of html to be inserted if a script type on the page is unsupported or if scripting is currently turned off in the browser.
<br /><span class="full">&lt;script></span> 	The HTML Script Element (&lt;script>) is used to embed or reference an executable script within an HTML or XHTML document.
<br /><span class="full">&lt;del></span> 	The HTML Deleted Text Element (&lt;del>) represents a range of text that has been deleted from a document. This element is often (but need not be) rendered with strike-through text.
<br /><span class="full">&lt;ins></span> 	The HTML &lt;ins> Element (or HTML Inserted Text) HTML represents a range of text that has been added to a document.
<br /><span class="full">&lt;caption></span> 	The HTML &lt;caption> Element (or HTML Table Caption Element) represents the title of a table. Though it is always the first descendant of a &lt;table>, its styling, using CSS, may place it elsewhere, relative to the table.
<br /><span class="full">&lt;col></span> 	The HTML Table Column Element (&lt;col>) defines a column within a table and is used for defining common semantics on all common cells. It is generally found within a &lt;colgroup> element.
<br /><span class="full">&lt;colgroup></span> 	The HTML Table Column Group Element (&lt;colgroup>) defines a group of columns within a table.
<br /><span class="full">&lt;table></span> 	The HTML Table Element (&lt;table>) represents data in two dimensions or more.
<br /><span class="full">&lt;tbody></span> 	The HTML Table Body Element (&lt;tbody>) defines one or more &lt;tr> element data-rows to be the body of its parent &lt;table> element (as long as no &lt;tr> elements are immediate children of that table element.)  In conjunction with a preceding &lt;thead> and/or &lt;tfoot> element, &lt;tbody> provides additional semantic information for devices such as printers and displays. Of the parent table's child elements, &lt;tbody> represents the content which, when longer than a page, will most likely differ for each page printed; while the content of &lt;thead> and &lt;tfoot> will be the same or similar for each page printed. For displays, &lt;tbody> will enable separate scrolling of the &lt;thead>, &lt;tfoot>, and &lt;caption> elements of the same parent &lt;table> element.  Note that unlike the &lt;thead>, &lt;tfoot>, and &lt;caption> elements however, multiple &lt;tbody> elements are permitted (if consecutive), allowing the data-rows in long tables to be divided into different sections, each separately formatted as needed.
<br /><span class="full">&lt;td></span> 	The Table cell HTML element (&lt;td>) defines a cell of a table that contains data. It participates in the table model.
<br /><span class="full">&lt;tfoot></span> 	The HTML Table Foot Element (&lt;tfoot>) defines a set of rows summarizing the columns of the table.
<br /><span class="full">&lt;th></span> 	The HTML element table header cell &lt;th> defines a cell that is a header for a group of cells of a table. The group of cells that the header refers to is defined by the scope and headers attribute.
<br /><span class="full">&lt;thead></span> 	The HTML Table Head Element (&lt;thead>) defines a set of rows defining the head of the columns of the table.
<br /><span class="full">&lt;tr></span> 	The HTML element table row &lt;tr> defines a row of cells in a table. Those can be a mix of &lt;td> and &lt;th> elements.
<br /><span class="full">&lt;button></span> 	The HTML &lt;button> Element represents a clickable button.
<br /><span class="partial">&lt;datalist></span> 	The HTML Datalist Element (&lt;datalist>) contains a set of &lt;option> elements that represent the values available for other controls.
<br /><span class="full">&lt;fieldset></span> 	The HTML &lt;fieldset> element is used to group several controls as well as labels (&lt;label>) within a web form.
<br /><span class="full">&lt;form></span> 	The HTML &lt;form> element represents a document section that contains interactive controls to submit information to a web server.
<br /><span class="full">&lt;input></span> 	The HTML element &lt;input> is used to create interactive controls for web-based forms in order to accept data from the user. How an &lt;input> works varies considerably depending on the value of its type attribute.
<br /><span class="unknown">&lt;keygen></span> 	The HTML &lt;keygen> element exists to facilitate generation of key material, and submission of the public key as part of an HTML form. This mechanism is designed for use with Web-based certificate management systems. It is expected that the &lt;keygen> element will be used in an HTML form along with other information needed to construct a certificate request, and that the result of the process will be a signed certificate.
<br /><span class="full">&lt;label></span> 	The HTML Label Element (&lt;label>) represents a caption for an item in a user interface. It can be associated with a control either by placing the control element inside the &lt;label> element, or by using the for attribute. Such a control is called the labeled control of the label element. One input can be associated with multiple labels.
<br /><span class="full">&lt;legend></span> 	The HTML &lt;legend> Element (or HTML Legend Field Element) represents a caption for the content of its parent &lt;fieldset>.
<br /><span class="partial">&lt;meter></span> 	The HTML &lt;meter> Element represents either a scalar value within a known range or a fractional value.
<br /><span class="full">&lt;optgroup></span> 	In a Web form, the HTML &lt;optgroup> element  creates a grouping of options within a &lt;select> element.
<br /><span class="full">&lt;option></span> 	In a Web form, the HTML &lt;option> element is used to create a control representing an item within a &lt;select>, an &lt;optgroup> or a &lt;datalist> HTML5 element.
<br /><span class="unknown">&lt;output></span> 	The HTML &lt;output> element represents the result of a calculation or user action.
<br /><span class="good">&lt;progress></span> 	The HTML &lt;progress> Element is used to view the completion progress of a task. While the specifics of how it's displayed is left up to the browser developer, it's typically displayed as a progress bar. Javascript can be used to manipulate the value of progress bar.
<br /><span class="full">&lt;select></span> 	The HTML select (&lt;select>) element represents a control that presents a menu of options. The options within the menu are represented by &lt;option> elements, which can be grouped by &lt;optgroup> elements. Options can be pre-selected for the user.
<br /><span class="poor">&lt;details></span> 	The HTML Details Element (&lt;details>) is used as a disclosure widget from which the user can retrieve additional information.
<br /><span class="poor">&lt;dialog></span> 	The HTML &lt;dialog> element represents a dialog box or other interactive component, such as an inspector or window. &lt;form> elements can be integrated within a dialog by specifying them with the attribute method="dialog". When such a form is submitted, the dialog is closed with a returnValue attribute set to the value of the submit button used.
<br /><span class="poor">&lt;menu></span> 	The HTML &lt;menu> element represents a group of commands that a user can perform or activate. This includes both list menus, which might appear across the top of a screen, as well as context menus, such as those that might appear underneath a button after it has been clicked.
<br /><span class="unknown">&lt;menuitem></span> 	The HTML &lt;menuitem> element represents a command that a user is able to invoke through a popup menu. This includes context menus, as well as menus that might be attached to a menu button.
<br /><span class="poor">&lt;summary></span> 	The HTML summary element (&lt;summary>) is used as a summary, caption, or legend for the content of a &lt;details> element.
<br /><span class="poor">&lt;content></span> <span class="support">Edge only support</span> 	The HTML &lt;content> element is used inside of Shadow DOM as an insertion point. It is not intended to be used in ordinary HTML. It is used with Web Components.
<br /><span class="unknown">&lt;element></span> 	The HTML &lt;element> element is used to define new custom DOM elements.
<br /><span class="unknown">&lt;shadow></span> 	The HTML &lt;shadow> element is used as a shadow DOM insertion point. You might use it if you have created multiple shadow roots under a shadow host. It is not useful in ordinary HTML. It is used with Web Components.
<br /><span class="good">&lt;template></span> <span class="support">No IE support</span> 	The HTML template element &lt;template> is a mechanism for holding client-side content that is not to be rendered when a page is loaded but may subsequently be instantiated during runtime using JavaScript. 
<hr />
<br /><span class="deprecated">&lt;acronym></span> 	The HTML Acronym Element (&lt;acronym>) allows authors to clearly indicate a sequence of characters that compose an acronym or abbreviation for a word.
<br /><span class="deprecated">&lt;applet></span> 	The HTML Applet Element (&lt;applet>) identifies the inclusion of a Java applet.
<br /><span class="full">&lt;basefont></span> 	The HTML basefont element (&lt;basefont>) establishes a default font size for a document. Font size then can be varied relative to the base font size using the &lt;font> element.
<br /><span class="deprecated">&lt;big></span> 	The HTML Big Element (&lt;big>) makes the text font size one size bigger (for example, from small to medium, or from large to x-large) up to the browser's maximum font size.
<br /><span class="deprecated">&lt;blink></span> 	The HTML Blink Element (&lt;blink>) is a non-standard element causing the enclosed text to flash slowly.
<br /><span class="deprecated">&lt;center></span> 	The HTML Center Element (&lt;center>) is a block-level element that can contain paragraphs and other block-level and inline elements. The entire content of this element is centered horizontally within its containing element (typically, the &lt;body>).
<br /><span class="deprecated">&lt;dir></span> 	The HTML directory element (&lt;dir>) represents a directory, namely a collection of filenames.
<br /><span class="deprecated">&lt;frame></span> 	&lt;frame> is an HTML element which defines a particular area in which another HTML document can be displayed. A frame should be used within a &lt;frameset>.
<br /><span class="deprecated">&lt;frameset></span> 	&lt;frameset> is an HTML element which is used to contain &lt;frame> elements.
<br /><span class="deprecated">&lt;isindex></span> 	&lt;isindex> is an HTML element which is used for putting a text field in a document for querying the document. &lt;isindex> is intended to be used inside of the &lt;head> element by W3C, however browsers support it no matter where it is used in the document.
<br /><span class="deprecated">&lt;listing></span> 	The HTML Listing Element (&lt;listing>) renders text between the start and end tags without interpreting the HTML in between and using a monospaced font. The HTML 2 standard recommended that lines shouldn't be broken when not greater than 132 characters.
<br /><span class="deprecated">&lt;noembed></span> 	The &lt;noembed> element is a deprecated and non-standard way to provide alternative, or "fallback", content for browsers that do not support the &lt;embed> element or do not support embedded content an author wishes to use.
<br /><span class="deprecated">&lt;plaintext></span> 	The HTML Plaintext Element (&lt;plaintext>) renders everything following the start tag as raw text, without interpreting any HTML. There is no closing tag, since everything after it is considered raw text.
<br /><span class="deprecated">&lt;spacer></span> 	&lt;spacer> is an HTML element which is used for inserting white spaces to web pages. It was created by NetScape for achieving same effect as a single-pixel layout GIF image, which was something web designers used to use to add white spaces to web pages, without actually using a GIF. However &lt;spacer> is not supported by any major browser and same effects can be created with various CSS rules. In Mozilla applications, support for this element was removed in Gecko 2.0. Therefore usage of &lt;spacer> is unnecessary.
<br /><span class="deprecated">&lt;strike></span> 	The HTML Strikethrough Element (&lt;strike>) renders text with a strikethrough, or a line through it.
<br /><span class="deprecated">&lt;tt></span> 	The HTML Teletype Text Element (&lt;tt>) produces an inline element displayed in the browser's default monotype font. This element was intended to style text as it would display on a fixed width display, such as a teletype. It probably is more common to display fixed width type using the &lt;code> element.
<br /><span class="deprecated">&lt;xmp></span> 	The HTML Example Element (&lt;xmp>) renders text between the start and end tags without interpreting the HTML in between and using a monospaced font. The HTML2 specification recommended that it should be rendered wide enough to allow 80 characters per line.
</main>
<script>
// script that needs the DOM to be loaded here
</script>
</body>
</html>