<?php
error_reporting(E_ALL);
ini_set('display_errors', 'true');

include "lib/list-item-links.php";
?>
<!DOCTYPE HTML>
<html lang="en">
<head>
<title>Flex Support Jan 2016</title>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width,initial-scale=1" />
<style>
h4 { margin: 0; }
.unknown {
  color: #000;
  font-size: 1.2em;
  background-color: #ddd;
}
.deprecated {
  color: #f00;
  background-color: #badbee;
}
.poor {
  color: #f0f;
  background-color: #badbee;
}
.partial {
  color: #f60;
  background-color: #badbee;
  font-weight: bold;
  font-size: 1.2em;
}
.good {
  color: #005;
  background-color: #badbee;
  font-weight: bold;
  font-size: 1.3em;
}
.full {
  color: #050;
  background-color: #badbee;
  font-weight: bold;
  font-size: 1.3em;
}
.container {
  background-color: #beebad;
  font-size: 1.1em;
}
.items {
  background-color: #eebdab;
  font-size: 1.1em;
}

nav {
  margin: 1em 0;
}
  nav a {
    margin: 0 1em;
  }
.color_key span {
  display: inline-block;
  margin: 0 1em 0.5em;
  padding: 0 1em;
}
/*
.missing {
  font-size: 1.2em;
}
*/
.support {
  font-weight: bold;
  text-decoration: underline;
}
.using {
  outline: 3px solid #060;
}
.shorthand {
  outline: 3px dotted #333;
}
.prefixes {
  outline: 3px dotted #073;
}
</style>
<script>
// script needed before the DOM is loaded here
</script>
</head>
<body>
<h1>Flex Support Jan 2016</h1>
<nav>
<ul>
<?php echo get_li_links(); ?>
  <li><a href="https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_Flexible_Box_Layout/Using_CSS_flexible_boxes">https://developer.mozilla.org/en-US/docs/Web/CSS/CSS_Flexible_Box_Layout/Using_CSS_flexible_boxes</a></li>
  <li><a href="http://caniuse.com/#feat=flexbox">http://caniuse.com/#feat=flexbox</a></li>
  <li><a href="http://codepen.io/enxaneta/full/adLPwv/">http://codepen.io/enxaneta/full/adLPwv/</a></li>
  <li><a href="https://github.com/philipwalton/flexbugs#6-the-default-flex-value-has-changed">https://github.com/philipwalton/flexbugs#6-the-default-flex-value-has-changed</a></li>
  <li><a href="http://ptb2.me/flexbox/">http://ptb2.me/flexbox/</a></li>
</ul>
</nav>
<div class="color_key">
  <span class="unknown">unknown</span>
  <span class="deprecated">deprecated</span>
  <span class="poor">poor</span>
  <span class="partial">partial</span>
  <span class="good">good</span>
  <span class="full">full</span>
  <span class="container">container</span>
  <span class="items">items</span>
</div>
<!--
<div class="missing full">Missing: a blockquote body iframe img link meta textarea</div>
<div class="missing full">Missing: aside</div>
<div class="missing deprecated">Missing: bgsound font marquee multicol nextid nobr noframes</div>
-->
<main>
<br /><span class="good">align-content</span> <span class="container">(container)</span> Chrome -webkit, Safari IE NS<br />
no effect on single line flexible boxes
<br /><span class="good">align-items</span> <span class="container">(container)</span> Chrome, Safari -webkit<br />
IE 10-11 (but not 12+), if column flex items have align-items: center; set on them and their content is too large, they will overflow the bounds of their container.
<br /><span class="good">align-self</span> <span class="items">(items)</span> Chrome -webkit, Safari NS<br />
overrides the align-items value. If any of the flex item's cross-axis margin is set to auto, then align-self is ignored.
<br /><span class="good using">flex</span> <span class="items">(items)</span> Chrome, Safari -webkit, IE 10 -ms<br />
shorthand property for flex-grow, flex-shrink and flex-basis individual properties.
<br /><span class="partial shorthand">flex-basis</span> <span class="items">(items)</span> Chrome, Safari -webkit<br />
partial support for <code>auto</code>  and  <code>content</code>
<br /><span class="good shorthand">flex-direction</span> <span class="container">(container)</span> Chrome, Safari -webkit, IE 10 -ms
<br /><span class="good using">flex-flow</span> <span class="container prefixes">(container)</span> Chrome, Safari -webkit<br />
shorthand property for flex-direction and flex-wrap individual properties.
<br /><span class="good shorthand">flex-grow</span> <span class="items">(items)</span> Chrome, Safari -webkit
<br /><span class="good shorthand">flex-shrink</span> <span class="items">(items)</span> Chrome, Safari -webkit<br />
IE 10 uses 0 instead of 1 as the initial value for the flex-shrink property. A workaround is to always set an explicit value for flex-shrink.
<br /><span class="good shorthand">flex-wrap</span> <span class="container">(container)</span> Chrome, Safari -webkit
<br /><span class="good">justify-content</span> <span class="container">(container)</span> Chrome -webkit, Safari NS<br />
if there is at least one flexible element, with flex-grow different from 0, it will have no effect as there won't be any available space.
<br /><span class="good using">order</span> <span class="items prefixes">(items)</span> Chrome, Safari -webkit, IE 10 -ms

<hr />

<h4>Container</h4>
<br />flex-direction row: row-reverse: column: column-reverse:
<br />flex-wrap nowrap: wrap: wrap-reverse:
<br />align-items flex-start: flex-end: center: baseline: stretch:
<br />justify-content flex-start: flex-end: space-between: center: space-around:
<br />align-content flex-start: flex-end: center: space-between: space-around: stretch:

<h4>Items</h4>
<br />align-self (auto: flex-start: flex-end: center: baseline: stretch:
<br />flex-grow
<br />flex-shrink
<br />flex { flex: flex-grow [flex-shrink] [flex-basis]; } 
<br />order
<hr />
<p>Method of positioning elements in horizontal or vertical stacks.<br />
Support includes the support for the all properties prefixed with flex as well as<br />
display: flex, display: inline-flex, align-content, align-items, align-self, justify-content and order.</p>

<hr />

<p>Browser Support
<br />
Chrome 4.0+, Firefox 2.0+, Safari 1.1+ including all versions of Safari on iOS support flexbox using the July 2009 working draft syntax. These browsers require prefixed flexbox property names.<br />Chrome and Safari 3.0+ (including iOS) require the -webkit- prefix,<br />Firefox requires the -moz- prefix,<br />and Safari 1.1 and 2.0 require the -khtml- prefix.
<br />
<pre>
Property 		Values 								Initial 	Applies to 				Inh. 	Percentages 	Media
box-align 		start | end | center | baseline | stretch 			stretch 	box elements 				no 	no 		visual
box-direction 		normal | reverse | inherit 					normal 		box elements 				no 	no 		visual
box-flex 		&lt;number> 							0.0 		in-flow children of box elements 	no 	no 		visual
box-flex-group 		&lt;integer> 							1 		in-flow children of box elements	no 	no 		visual
box-lines 		single | multiple 						single 		box elements 				no 	no 		visual
box-ordinal-group 	&lt;integer> 							1 		children of box elements 		no 	no 		visual
box-orient 		horizontal | vertical | inline-axis | block-axis | inherit 	inline-axis 	box elements 				no 	no 		visual
box-pack 		start | end | center | justify 					start 		box elements 				no 	no 		visual </pre>
<br />
Internet Explorer 10 supports flexbox using the March 2012 working draft syntax using -ms- prefixed property names.
<br />
Chrome 21+, Firefox 20+, WebKit Nightly, and Opera 12.1+ support flexbox using the September 2012 candidate recommendation syntax.<br />Chrome and WebKit Nightly require the-webkit- prefix.<br />Firefox and Opera support the un-prefixed property names.</p>
</main>
<script>
// script that needs the DOM to be loaded here
</script>
</body>
</html>